Bug 603634 - Review Request: python-robofab - reads and writes UFO font files
Summary: Review Request: python-robofab - reads and writes UFO font files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ignacio Vazquez-Abrams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: 603638 603639 603640 603641 603666
TreeView+ depends on / blocked
 
Reported: 2010-06-14 08:24 UTC by Parag Nemade
Modified: 2014-09-29 11:59 UTC (History)
6 users (show)

Fixed In Version: 1.2.0-1.svn226.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 09:49:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ivazqueznet: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Parag Nemade 2010-06-14 08:24:34 UTC
Spec URL: http://paragn.fedorapeople.org/fedora-work/SPECS/robofab.spec
SRPM URL: http://paragn.fedorapeople.org/fedora-work/SRPMS/robofab-1.2.0-1.svn200.fc13.src.rpm
Description: 
RoboFab is a Python library with objects that deal with data usually associated
with fonts and type design. RoboFab reads and writes UFO font files.

Comment 1 Chen Lei 2010-06-14 09:28:44 UTC
This package should be renamed to python-robofab, the same reason with #603640

Comment 3 Ignacio Vazquez-Abrams 2010-06-24 14:10:33 UTC
python-robofab.noarch: W: no-documentation

PASS

Comment 4 Parag Nemade 2010-06-24 14:48:55 UTC
Thanks for the review!

New Package CVS Request
=======================
Package Name: python-robofab
Short Description: Reads and writes UFO font files 
Owners: pnemade
Branches: F-13 EL-6
InitialCC: i18n-team fonts-sig

Comment 5 Chen Lei 2010-06-24 16:24:42 UTC
Some suggestions:
1.Group:          Development/Languages->Group:          Development/Libraries

Development/Languages is for python runtime only.
2.
It'll be better add %check to the spec after %install, then del robofab/test

%check
PYTHONPATH=%{buildroot}%{python_sitelib} python RoboFab/robofab/test/runAll.py

3. Are all files under Scripts useless for this package?

Comment 6 Parag Nemade 2010-06-25 06:15:15 UTC
(In reply to comment #5)
> Some suggestions:
> 1.Group:          Development/Languages->Group:          Development/Libraries
> 
> Development/Languages is for python runtime only.

May I know where its documented? I think we can find many python-* packages in Fedora using Development/Languages

> 2.
> It'll be better add %check to the spec after %install, then del robofab/test
> 
> %check
> PYTHONPATH=%{buildroot}%{python_sitelib} python RoboFab/robofab/test/runAll.py
> 

Is this MUST by guidelines.

> 3. Are all files under Scripts useless for this package?    

I see they are broken.
+ python robofab/test/runAll.py
Traceback (most recent call last):
  File "robofab/test/runAll.py", line 5, in <module>
    import robofab.test
ImportError: No module named test

Comment 7 Chen Lei 2010-06-25 07:12:03 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > Some suggestions:
> > 1.Group:          Development/Languages->Group:          Development/Libraries
> > 
> > Development/Languages is for python runtime only.
> May I know where its documented? I think we can find many python-* packages in
> Fedora using Development/Languages
Long ago, I see rpm group definitions from an opensuse document, I can confirm Development/Languages is for python/perl/ruby/lisp runtime only and not appropriate for python modules. But I'm not sure if Development/Libraries is right for python modules, but a lot of python modules in fedora already use Development/Libraries as their group name.
See http://en.opensuse.org/Packaging/SUSE_Package_Conventions/RPM_Groups#2.2._Development

> > 2.
> > It'll be better add %check to the spec after %install, then del robofab/test
> > 
> > %check
> > PYTHONPATH=%{buildroot}%{python_sitelib} python RoboFab/robofab/test/runAll.py
> > 
> Is this MUST by guidelines.
%check section is not mandatory in fedora packaging guideline yet it depends on packages/maintainers, but it'll be better to add %check in spec file if possible.
Maybe the test can pass if we change the command to:

PYTHONPATH=RoboFab python RoboFab/robofab/test/runAll.py

Comment 8 Jason Tibbitts 2010-06-26 07:58:23 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Parag Nemade 2010-07-01 03:59:49 UTC
I have informed upstream about testcases not working and they are working on it. For now I will build this and once upstream resolves test case issues will update it in next build.

Comment 10 Fedora Update System 2010-07-06 15:52:47 UTC
python-robofab-1.2.0-1.svn226.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-robofab-1.2.0-1.svn226.fc13

Comment 11 Fedora Update System 2010-07-07 17:48:07 UTC
python-robofab-1.2.0-1.svn226.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-robofab'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-robofab-1.2.0-1.svn226.fc13

Comment 12 Thomas Spura 2010-07-22 09:49:04 UTC
This update is already in F-13 stable, bodhi seems to forgot to close this.

-> Doing so now.

Comment 13 Parag Nemade 2014-09-28 06:28:34 UTC
Package Change Request
======================
Package Name: python-robofab
New Branches: epel7
Owners: pnemade

Comment 14 Gwyn Ciesla 2014-09-29 11:59:18 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.